<template>
    <div>
        <ConsultantList
            :agents="pageList"
            :title="'contactedList'"
        ></ConsultantList>

        <UiPagination
            :totalList="contactedList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator' ;
import { Consultant } from '~/shared/models/consultant.model';


@Component
export default class ContactedList extends Vue {
    @Prop() contactedList!: Consultant[];
    pageList: Consultant[] = [];

    changePage(pageList: Consultant[]) {
        this.pageList = pageList;
    }
}
</script>
